Bug 40349 - adsl-start doesn't clean up PID files
Summary: adsl-start doesn't clean up PID files
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rp-pppoe   
(Show other bugs)
Version: 7.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-12 13:52 UTC by Michael Schwendt
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-12 13:53:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch against rp-pppoe-2.6 (400 bytes, patch)
2001-05-12 13:52 UTC, Michael Schwendt
no flags Details | Diff
patch against rp-pppoe-3.0 (454 bytes, patch)
2001-05-12 13:53 UTC, Michael Schwendt
no flags Details | Diff

Description Michael Schwendt 2001-05-12 13:52:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.2-2 i686; en-US; rv:0.9)
Gecko/20010505

Description of problem:
When a connection could not be established, the various PID files in
/var/run don't get deleted.

How reproducible:
Always

Steps to Reproduce:
Get a connection attempt that "TIMED OUT" and then do "ls -la /var/run/pppoe*".
	

Actual Results:  The following PID files are left in /var/run, although
none of those processes is still running:

pppoe.conf-adsl.pid
pppoe.conf-adsl.pid.pppd
pppoe.conf-adsl.pid.pppoe


Expected Results:  The PID files ought to be deleted.

Additional info:

Comment 1 Michael Schwendt 2001-05-12 13:52:57 UTC
Created attachment 18189 [details]
patch against rp-pppoe-2.6

Comment 2 Michael Schwendt 2001-05-12 13:53:29 UTC
Created attachment 18190 [details]
patch against rp-pppoe-3.0

Comment 3 Ngo Than 2001-05-14 10:35:05 UTC
It's fixed in rp-pppoe-3.0-3. Thanks


Note You need to log in before you can comment on or make changes to this bug.